//
//  BWSheetController.h
//  BWToolkit
//
//  Created by Brandon Walkin (www.brandonwalkin.com)
//  All code is provided under the New BSD license.
//

#import <Cocoa/Cocoa.h>

@interface BWSheetController : NSObject
{
	NSWindow *sheet;
	NSWindow *parentWindow;
	id delegate;
}

@property (nonatomic, retain) IBOutlet NSWindow *sheet, *parentWindow;
@property (nonatomic, retain) IBOutlet id delegate;

- (IBAction)openSheet:(id)sender;
- (IBAction)closeSheet:(id)sender;
- (IBAction)messageDelegateAndCloseSheet:(id)sender;

@end
